package com.cpms.project.sems.service;

import com.cpms.project.sems.domain.TSpecdevYlgd;

import java.util.List;

/**
 * 特种设备压力管道台账Service接口
 *
 * @author admin
 * @date 2021-07-22
 */
public interface ITSpecdevYlgdService
{
    /**
     * 查询特种设备压力管道台账
     *
     * @param id 特种设备压力管道台账ID
     * @return 特种设备压力管道台账
     */
    public TSpecdevYlgd selectTSpecdevYlgdById(Long id);

    /**
     * 查询特种设备压力管道台账列表
     *
     * @param tSpecdevYlgd 特种设备压力管道台账
     * @return 特种设备压力管道台账集合
     */
    public List<TSpecdevYlgd> selectTSpecdevYlgdList(TSpecdevYlgd tSpecdevYlgd);
    List<TSpecdevYlgd> selectTSpecdevYlgdListByYear(TSpecdevYlgd tSpecdevYlgd);
    /**
     * 新增特种设备压力管道台账
     *
     * @param tSpecdevYlgd 特种设备压力管道台账
     * @return 结果
     */
    public int insertTSpecdevYlgd(TSpecdevYlgd tSpecdevYlgd);

    /**
     * 修改特种设备压力管道台账
     *
     * @param tSpecdevYlgd 特种设备压力管道台账
     * @return 结果
     */
    public int updateTSpecdevYlgd(TSpecdevYlgd tSpecdevYlgd);

    /**
     * 批量删除特种设备压力管道台账
     *
     * @param ids 需要删除的特种设备压力管道台账ID
     * @return 结果
     */
    public int deleteTSpecdevYlgdByIds(Long[] ids);

    /**
     * 删除特种设备压力管道台账信息
     *
     * @param id 特种设备压力管道台账ID
     * @return 结果
     */
    public int deleteTSpecdevYlgdById(Long id);



    void duplicateTSpecdevYlgd();
}
